Commit 680f2a96 authored by Steven Murray's avatar Steven Murray
Browse files

Revert "Relaxed dependency on radosVersion. Instead of = we now use >="

This reverts commit 6bbd0afa.

It is too dangerous to not pin the version rados to exact version.
parent 6bbd0afa
......@@ -46,7 +46,7 @@ BuildRequires: xrootd-client-devel >= %{xrootdVersion}
BuildRequires: xrootd-devel >= %{xrootdVersion}
BuildRequires: xrootd-server-devel >= %{xrootdVersion}
BuildRequires: xrootd-private-devel >= %{xrootdVersion}
BuildRequires: librados-devel >= %{radosVersion}, libradosstriper-devel >= %{radosVersion},
BuildRequires: librados-devel = %{radosVersion}, libradosstriper-devel = %{radosVersion},
BuildRequires: protobuf3-compiler >= 3.3.1 protobuf3-devel >= 3.3.1
BuildRequires: gmock-devel >= 1.5.0 gtest-devel >= 1.5.0
BuildRequires: sqlite-devel >= 3.6
......@@ -229,7 +229,7 @@ Shared libraries required to access the CTA catalogue
%package -n cta-lib
Summary: CERN Tape Archive libraries
Group: Application/CTA
Requires: librados2 >= %{radosVersion}
Requires: librados2 = %{radosVersion}
Requires: xrootd-client-libs >= %{xrootdVersion}
# Explicity require protobuf3 to avoid clash with eos-protobuf3
Requires: protobuf3
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment